"""
Calcul de l'amplitude et de la moyenne d'une liste de flottants.

Programme principal :
  - Saisie d'un entier n dans l'intervalle : [2,100] ;
  - Création d'une liste de n flottants en utilisant listAleaFloat() ;
  - Affichage de l'amplitude de la liste ;
  - Afficher la moyenne de la liste.
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from random import seed
from alea_float_m import listAleaFloat

# Programme principal ==========================================================
n = int(input("Entrez un entier [2 .. 100] : "))
while not(n >= 2 and n <= 100):
    n = int(input("Entrez un entier [2 .. 100], s.v.p. : "))

seed()                # initialise le générateur de nombres aléatoires
t = listAleaFloat(n)  # construction de la liste

print(f"Amplitude : {max(t) - min(t):.2f}")
print(f"Moyenne : {sum(t)/n:.2f}")
